summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-09-20 09:55:38 +0200
committerMichał Górny <mgorny@gentoo.org>2020-09-20 09:56:55 +0200
commit440df704b4589b2f3be9009be9ce02ada1de23fe (patch)
tree78477fa40707f760e3e4bda169b28663a4424281 /dev-python/pytest-forked/pytest-forked-1.3.0-r1.ebuild
parentdev-python/apipkg: Remove python2 (diff)
downloadgentoo-440df704b4589b2f3be9009be9ce02ada1de23fe.tar.gz
gentoo-440df704b4589b2f3be9009be9ce02ada1de23fe.tar.bz2
gentoo-440df704b4589b2f3be9009be9ce02ada1de23fe.zip
dev-python/pytest-forked: Remove python2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/pytest-forked/pytest-forked-1.3.0-r1.ebuild')
-rw-r--r--dev-python/pytest-forked/pytest-forked-1.3.0-r1.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/pytest-forked/pytest-forked-1.3.0-r1.ebuild b/dev-python/pytest-forked/pytest-forked-1.3.0-r1.ebuild
new file mode 100644
index 00000000000..3c8d8b75cfc
--- /dev/null
+++ b/dev-python/pytest-forked/pytest-forked-1.3.0-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="run tests in isolated forked subprocesses"
+HOMEPAGE="https://pypi.org/project/pytest-forked/ https://github.com/pytest-dev/pytest-forked"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Please do not RDEPEND on pytest; this package won't do anything
+# without pytest installed, and there is no reason to force older
+# implementations on pytest.
+RDEPEND="
+ dev-python/py[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/pytest-3.10[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv -p no:flaky || die "Tests failed under ${EPYTHON}"
+}